HTTPSEverywhere.Ruleset – httpseverywhere-0.8 Reference Manual

# Ruleset

## Object Hierarchy:

## Description:

public class Ruleset : Object

This represents the contents of a HTTPSEverywhere ruleset-file Rulesets contain a set of target-hosts that the rules apply to furthermore it contains a set of regular expressions that determine how to convert a HTTP-URL into the corresponding HTTPS-URL

Namespace: HTTPSEverywhere
Package: httpseverywhere-0.8

## Content:

### Properties:

- public ArrayList<Target> targets { get; }
  The target-hosts this ruleset applies to

### Creation methods:

- public Ruleset ()
  Creates an empty Ruleset
- public Ruleset.from_json (Node root) throws RulesetError
  Creates a Ruleset from a ruleset file

### Methods:

- public void add_rule (string from, string to)
  Add a rewrite rule to this Ruleset the parameters "from" and "to" should be valid regexes
- public void add_exclusion (string exclusion)
  Add an exclusion to this Ruleset
- public void add_target (string host)
  Add a target host to this Ruleset
- public string rewrite (string url)
  Rewrite an URL from HTTP to HTTPS

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set
- set_data

- set_data_full
- set_property
- set_qdata
- set_qdata_full
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count